Bug 222719 - [NEW PORT] comms/tio: Simple TTY terminal I/O application
Summary: [NEW PORT] comms/tio: Simple TTY terminal I/O application
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://tio.github.io/
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-01 16:45 UTC by Dmitri Goutnik
Modified: 2017-10-27 15:32 UTC (History)
1 user (show)

See Also:


Attachments
shar file (1.84 KB, text/plain)
2017-10-01 16:45 UTC, Dmitri Goutnik
no flags Details
shar file (1.83 KB, text/plain)
2017-10-01 16:58 UTC, Dmitri Goutnik
no flags Details
shar file (1.83 KB, text/plain)
2017-10-18 23:01 UTC, Dmitri Goutnik
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik 2017-10-01 16:45:32 UTC
Created attachment 186832 [details]
shar file

Simple TTY terminal application which features a straightforward
commandline interface to easily connect to TTY devices for basic
input/output.

WWW: https://tio.github.io

QA:
  portlint -ACN: OK
  poudriere testport: OK (11a, 10i)
Comment 1 Dmitri Goutnik 2017-10-01 16:58:40 UTC
Created attachment 186833 [details]
shar file

Removed unnecessary GH_ACCOUNT.
Comment 2 Dmitri Goutnik 2017-10-18 23:01:02 UTC
Created attachment 187289 [details]
shar file

Update shar to v1.25 upstream version
Comment 3 Tobias Kortkamp freebsd_committer 2017-10-27 15:32:10 UTC
Committed.  Thanks!
Comment 4 commit-hook freebsd_committer 2017-10-27 15:32:14 UTC
A commit references this bug:

Author: tobik
Date: Fri Oct 27 15:31:58 UTC 2017
New revision: 452990
URL: https://svnweb.freebsd.org/changeset/ports/452990

Log:
  New port: comms/tio

  Simple TTY terminal application which features a straightforward
  commandline interface to easily connect to TTY devices for basic
  input/output.

  WWW: https://tio.github.io

  PR:		222719
  Submitted by:	Dmitri Goutnik <dg@syrec.org>

Changes:
  head/comms/Makefile
  head/comms/tio/
  head/comms/tio/Makefile
  head/comms/tio/distinfo
  head/comms/tio/pkg-descr
  head/comms/tio/pkg-plist